/***************************************************************************
 *                           RELEX, Inc. DBMS Linter                        *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                 Copyright (c) 1990-2012 RELEX, Inc.                      *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR:
 ----------------------------------------------------------------------------
 PURPOSE: truncate L_DECIMAL
 ----------------------------------------------------------------------------
   14.10.91 -- first release
   20.07.97 -- Ermakov (Copyright)
   28.04.98 -- Peshkoff (Register optimization)
   08.06.12 -- Glukhov (datatypes)
*/

#include <stdlib.h>                  
#include "decimals.h"

void  DLLAPI ENTDECIMAL(const L_DECIMAL D,
                              L_DECIMAL DD)     /* [D] -> DD */
/**************************************/
{ register L_SWORD J;				/* 28.04.98 */

  COPYDEC(D,DD);
  for (J = DECFRACTLNG; J ; DD[J--] = '\0');

} /* end ENTDECIMAL */
