/***************************************************************************
 *                           RELEX, Inc. DBMS Linter                        *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                 Copyright (c) 1990-2012 RELEX, Inc.                      *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR:
 ----------------------------------------------------------------------------
 PURPOSE: set Minimum and Maximum values of L_DECIMAL
 ----------------------------------------------------------------------------
   14.10.91 -- first release
   20.07.97 -- Ermakov (Copyright)
   08.06.12 -- Glukhov (datatypes)
*/

#include <stdlib.h>                 
#include <string.h>
#include "decimals.h"


/******************************************/

void DLLAPI SetMinDecimal(L_DECIMAL D)
{
  memset(D,99,DECLNG);
  SETDECSTATUS(DECNEGATIV,D);
}

void DLLAPI SetMaxDecimal(L_DECIMAL D)
{
  memset(D,99,DECLNG);
  SETDECSTATUS(DECPOSITIV,D);
}
