/***************************************************************************
 *                           RELEX, Inc. DBMS Linter                        *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                 Copyright (c) 1990-2012 RELEX, Inc.                      *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR:
 ----------------------------------------------------------------------------
 PURPOSE: L_DECIMAL sign change
 ----------------------------------------------------------------------------
   14.10.91 -- first release
   20.07.97 -- Ermakov (Copyright)
   08.06.12 -- Glukhov (datatypes)
*/

#include <stdlib.h>
#include "decimals.h"


void  DLLAPI NEGDECIMAL(const L_DECIMAL D,
                              L_DECIMAL DD)       /* -D -> DD */
/**************************************/
{ DECSTATUS S;

  S = GETDECSTATUS(D);
  switch (S) {

   case DECNEGOVER:   S = DECPOSOVER;
   break;

   case DECPOSOVER:   S = DECNEGOVER;
   break;

   case DECNEGATIV:   S = DECPOSITIV;
   break;

   case DECPOSITIV:   S = DECNEGATIV;
   break;

   default: ;
  }
  COPYDEC(D,DD);
  SETDECSTATUS(S,DD);

} /* end NEGDECIMAL */

