/***************************************************************************
 *                           RELEX, Inc. DBMS Linter                        *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                 Copyright (c) 1990-2012 RELEX, Inc.                      *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR:
 ----------------------------------------------------------------------------
 PURPOSE: subtract one L_DECIMAL value from other L_DECIMAL value
 ----------------------------------------------------------------------------
   14.10.91 -- first release
   20.07.97 -- Ermakov (Copyright)
   08.06.12 -- Glukhov (datatypes)
*/

#include <stdlib.h>                     
#include "decimals.h"

void  DLLAPI SUBDECIMAL(const L_DECIMAL D1,
                        const L_DECIMAL D2,
                              L_DECIMAL D)        /* D1-D2 -> D */
/**************************************/
{ L_DECIMAL DD2;

  NEGDECIMAL(D2,DD2); ADDDECIMAL(D1,DD2,D);

} /* end SUBDECIMAL */

