/****************************************************************************
 *           RELEX, Ltd. Linter precompiler library source code             *
 *  This is unpublished propietary source code of RELEX, Ltd.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *  Copyright (c) 1994-2003 RELEX Ltd.                                      *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Ltd.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR: Razuwaev A.V.
 ----------------------------------------------------------------------------
 PURPOSE:
 ----------------------------------------------------------------------------
 REVISION HISTORY:
 ----------------------------------------------------------------------------
*/
/* 04.04.03 - RAW (code revision; lite client)                                */
/******************************************************************************/

#ifndef __sqlca__
#define __sqlca__

#include "lintypes.h"

#ifdef __cplusplus
extern "C" {
#endif


/*
** SQL Communication Area
*/
struct sqlca
{
  char    sqlcaid[8];
  L_LONG    sqlabc;
  L_LONG    sqlcode;
  struct
  {
    unsigned short sqlerrml;
    char           sqlerrmc[70];
  } sqlerrm;
  char    sqlerrp[8];
  L_LONG    sqlerrd[6];
  char    sqlwarn[8];
  char    sqlext[8];
};


#ifndef __PCL__ /* if application, not library */

#if !defined (SQLCA_STORAGE_CLASS)
#ifdef PCI_STAT_LIB
extern struct sqlca sqlca;
#else
extern DLLIMP struct sqlca sqlca;
#endif
#else

#ifndef SQLCA_NONE 
SQLCA_STORAGE_CLASS struct sqlca sqlca

#ifdef  SQLCA_INIT
= {
  {'S', 'Q', 'L', 'C', 'A', ' ', ' ', ' '},
  sizeof(struct sqlca),
  0,
  { 0, {0}},
  {'N', 'O', 'T', ' ', 'S', 'E', 'T', ' '},
  {0, 0, 0, 0, 0, 0},
  {0, 0, 0, 0, 0, 0, 0, 0},
  {0, 0, 0, 0, 0, 0, 0, 0}
  }
#endif 
  ;
#endif /* SQLCA_NONE */
#endif /* SQLCA import */
#endif /* __PCL__    */

#ifdef __cplusplus
}
#endif

#endif /* __sqlca__ */

/******************************************************************************/
/********************************** SOURCE END ********************************/
/******************************************************************************/
