#ifdef DEBUG
#  if !defined __GNUC__
#    define __PRETTY_FUNCTION__ "function"
#  endif
#  define LOG_INIT(LevelString, FileName) f = fopen( FileName, "w")
#  define LOG_SHUT  fclose(f)
#  define TRS_ENTER fprintf(f, "\n %i\t Enter %s", __LINE__, __PRETTY_FUNCTION__)
#  define TRS_RETURN fprintf(f, "\n %i\t Exit %s", __LINE__, __PRETTY_FUNCTION__)
#  define TRS_MSG   fprintf(f, "\n %i\t MSG :", __LINE__); fprintf(f,
#  define TRS_ERROR fprintf(f, "\n %i\t ERR :", __LINE__); fprintf(f,
#  define TRS_END ); fflush(f)
     #include <stdio.h>
     FILE *f;
#else
#  define LOG_INIT(LevelString, FileName)
#  define LOG_SHUT
#  define TRS_ENTER
#  define TRS_RETURN
#  define TRS_MSG   donothing(
#  define TRS_ERROR donothing(
#  define TRS_END )
#endif    
