 /***************************************************************************
 *           RELEX, Ltd. Client source include file                         *
 *  This is unpublished propietary source code of RELEX, Ltd.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                   Copyright (c) 1999 RELEX Ltd.                          *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Ltd.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 FILE:    tools.h
 ----------------------------------------------------------------------------
 AUTHOR:  Alexander V. Kefeli
 ----------------------------------------------------------------------------
 PURPOSE: Interface from Perl to Linter SQL Server
 ----------------------------------------------------------------------------
 REVISION HISTORY:

 **.**.** -- Kent (file creation)

 --------------------------------------------------------------------------*/

#ifndef __TOOLS_H__
#define __TOOLS_H__

#ifdef __cplusplus
extern "C" {
#endif

char * addchr(char *, char, int);
char * delchr(char *, char);

char * strbtrim(char *, char *);
char * strltrim(char *, char *);
char * strrtrim(char *, char *);

#if defined(UNIX)
int    stricmp(const char *, const char *);
int    strnicmp(const char *, const char *, size_t);
#endif /* UNIX */

#ifdef __cplusplus
}
#endif

#endif /* __TOOLS_H__ */

