 /***************************************************************************
 *           RELEX, Inc. Client source include file                         *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                 Copyright (c) 1996-2008 RELEX Inc.                       *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 FILE:    php_linter.h
 ----------------------------------------------------------------------------
 AUTHOR:  Alexander V. Kefeli
 ----------------------------------------------------------------------------
 PURPOSE: Interface from PHP language to Linter SQL Server
 ----------------------------------------------------------------------------
 REVISION HISTORY:
 29.08.13 -- Galizin   ( Building as internal PHP extension)
 03.03.14 -- Galizin   ( PDO build correction)
 --------------------------------------------------------------------------*/

#ifndef __PHP_LINTER_H__
#define __PHP_LINTER_H__
#if defined(USE_THREADS) && !defined(ZTS)
#Zend Thread Safety if off. Theading is not support         /* 29.08.13 */
#endif

extern  zend_module_entry linter_module_entry;

#if defined(PDO)
#define phpext_pdo_linter_ptr &linter_module_entry          /* 03.03.14 */
#else
#define phpext_linter_ptr &linter_module_entry              /* 29.08.13 */
#endif

#endif /* __PHP_LINTER_H__ */

