#!/usr/local/bin/perl

# Uses Stored Routines

  require DBI;
  import DBI;

  $drh = DBI->install_driver('Linter');
  %attr = ('mode'=>'autocommit',);

  $database = '';
  $username = 'SYSTEM';
  $auth = 'MANAGER';
  $dbh = DBI->connect($database, $username, $auth, \%attr, 'Linter');
  die "can not establish connection ... Error ".$DBI::errstr."\n" unless defined $dbh;

  $dbh->do('drop procedure retcur;');

# create SP retcur.
  $rv = $dbh->do(<<'*END*');                       
  create
    procedure retcur(in AgeMin int; 
                     in AgeMax int;
                     inout name char(32); 
                     out cnt int) 
              result
                     cursor(name char(20),
                            city char(15)
                           ) 
              for debug
    declare
      var c typeof(result);
      exception notab for 2202;
    code
      cnt  := 10000;
      name := "OUTPUT NAME"; 
      open c for direct "select NAME,FIRSTNAM from PERSON where AGE >= "+itoa(AgeMin)+" and AGE <= "+itoa(AgeMax)+";";
      return c;
    exceptions
      when notab then
         print("no such table!\n");
      end;
*END*
  die "\n create SP error: $DBI::errstr\n" if (!defined $rv);

#fills output,bidirectional SP papameters
  $name = 'INPUT NAME';
  $count = '11111';

#prepares parameters array.
#output parameters pass by reference
  @retcurSP = ('retcur', 12,44,\$name,\$count);

#execute SP retcur
  $sh = $dbh->func(@retcurSP, 'proc');
  die "\nexecute SP error = ".$DBI::errstr."\n" unless defined $sh;

#prints output paramaters
  print "\nname = $name, (was INPUT NAME)";
  print "\ncount= $count, (was 11111)";

#this procedure makes cursor that we may uses for FETCH
  $i = 0;
  do
  {
    $i++;
    %fetchattr=('direction'=>'number','number'=>$i,);
    $ary = $sh->fetch(\%fetchattr);
    if (defined $ary)
    {
      print "\n",$i," : ","@$ary";
    }
    else
    {
      print "\nfetch error = ".$DBI::errstr."\n";
    }
  } while (defined $ary);

  $sh->finish();

# drop SP
  $dbh->do('drop procedure retcur;');
# disconnect from Linter server
#       $dbh->disconnect();
  die "Done...\n";
