 /***************************************************************************
 *                 RELEX, Ltd. Linter DBMS source code                      *
 *              This is public source code of RELEX, Ltd.                   *
 *                                                                          *
 *      You have a royalty-free right to use, modify, reproduce and         *
 *     distribute the Sample Files (and/or any modified version) in         *
 *        any way you find useful, provided that you agree that             *
 *       RELEX has no warranty obligations or liability for any             *
 *           Sample Application Files which are modified.                   *
 *                                                                          *
 *                    Copyright (c) 1998 RELEX Ltd.                         *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Ltd.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR:
 ----------------------------------------------------------------------------
 PURPOSE: Default parameters for demo classes
 ----------------------------------------------------------------------------
 REVISION HISTORY:
  23.08.1998 -- Creation date
  06.01.2000 -- encoding, className
*/

public class Config
{
	public Config()
	{
	}
	
	public static final String className = "jdbc.LinJdbc.LinterDriver";
	
	public static final String address = "jdbc:Linter:localhost:1070:local";
		      //localhost    - IP address of Linter JDBC server (linapid)  
		      //1070         - port number 
		      //local        - here must be or "local" keyword, it means that linapid 
		      //               should work with local kernel; or name of Linter-node
		      //			   from NODETAB

	public static final String user     = "SYSTEM";
	public static final String password = "MANAGER";

        //Encoding (recomment necessary string for you)
        public static final String encoding = null;    //Use system locale
      //public static final String encoding = "Cp866";
      //public static final String encoding = "Cp1251";
      //public static final String encoding = "KOI8_R";
      //public static final String encoding = "ISO8859_1";
      //public static final String encoding = "ISO8859_5";
}