;   Process IP-addresses function example
;
;


select cidrtoraw('80.82.32.00/10');

;

drop table FIP_TAB;
create or replace table FIP_TAB (CIDR varchar(18));
insert into FIP_TAB values('80.82.32.00/10');

select cidrtoraw(CIDR) from FIP_TAB; 

;

drop table FIP_TAB1;
create or replace table FIP_TAB1 (cidr byte(5));
insert into FIP_TAB1 values(hex('8082320010'));

select rawtocidr( cidr ) from FIP_TAB1; 

;

drop table FIP_TAB2;
create or replace table FIP_TAB2 (cidr byte(5));
insert into FIP_TAB2 values(hex('8082320010'));
select rawtocidr( cidr ) from FIP_TAB2; 

;

select cidrlen (HEX('8082320010')), ip_masklen (HEX('8082320010'));
select cidrlen (cast HEX('8082320010') as byte(5));

;

select ip_set_masklen( hex('5052200b0a'), 21);
select rawtocidr(ip_set_masklen( cidrtoraw('80.82.32.11/10'), 21));

;

select cidrpfx (cast HEX('5052200B15') as byte(5));

;

select ip_host ( HEX('5052200B0a'));

;

select cidrmatch(cidrtoraw('80.82.32.1/32'), 
cast cidrtoraw('80.82.32.00/10')  as byte(4),
cast cidrtoraw('0.0.0.255/8')  as byte(4));

;

select cidrcount(cast hex('5052200b18') as byte(5));

;

select cidrnet(hex('5052200b0a'));

;

select ip_network(hex('5052200b0a'));

;

select cidrbcast(hex('5052200b0a'));

;

select ip_broadcast(hex('5052200b0a'));

;

select cidrmask(cidrtoraw('80.82.32.11/10')), ip_netmask(cidrtoraw('80.82.32.11/10'));

;

select ip_abbrev(cidrtoraw('80.82.00.00/10'));

;
































