;   Manage BD example
;
;

; -------------- log

set log ON;
set log BRIEF;
set log DEFAULT;
set log OFF;

set log ON;
set log FULL;
set log OFF;

; -------------- commit

set true commit ON;
set true commit OFF;

; -------------- quant

set index quant 2;
set row quant   4;

; -------------- workspace

create user "Guest";
set workspace limit 100 for "Guest";
set workspace unlimited for "Guest";
drop user "Guest";

; -------------- record size limit

;alter database set record size limit 4096;

; -------------- priority

create user USER1;
set priority for USER1  base  = 4;
set priority for USER1  max   = 10;
set priority for USER1  range = 10;
drop user USER1;

; -------------- constraints

drop table LIN_TAB1;
drop table LIN_TAB2;

create table LIN_TAB2( I int, C char(1), J int, primary key(I,J) ); 
create table LIN_TAB1( I int, C char(3), J int );
alter table  LIN_TAB1 add FOREIGN KEY (I,J) references LIN_TAB2( I, J );

exclusive

SET CONSTRAINTS ALL DEFERRED;
    
insert into LIN_TAB2(I,C,J) values(1,'b',1);
insert into LIN_TAB1(I,C,J) values(1,'aaa',1);

update LIN_TAB1 set J = 2, I = 3;
update LIN_TAB2 set J = 2, I = 3;

commit;

insert into LIN_TAB2(I,C,J) values(1,'b',1);
insert into LIN_TAB1(I,C,J) values(1,'aaa',1);

delete from LIN_TAB2 where I=1 and J=1;
delete from LIN_TAB1 where I=1 and J=1;

commit;

insert into LIN_TAB2(I,C,J) values(1,'b',1);
insert into LIN_TAB1(I,C,J) values(1,'aaa',1);

update LIN_TAB1 set J = 2, I = 3;
update LIN_TAB2 set J = 2, I = 3;

commit;

select * from LIN_TAB1;
select * from LIN_TAB2;

SET CONSTRAINTS ALL IMMEDIATE;




