;   Predicate quiry example
;
;

;predicate (< , > , <> , = , <= , >= )
select NAME, MAKE from AUTO, PERSON where AUTO.PERSONID=PERSON.PERSONID and 
  SALARY>=(select avg(SALARY) from PERSON); 

select 
  case MAKE
    when 'FORD'    then 1 
    when 'FERRARI' then 2
    else 3
  end
from AUTO;

select 
  case 
    when COLOR = 'WHITE' then 1 
    when COLOR = 'BLACK' then 2
    else 3
  end
from AUTO;

;predicate (NOT BETWEEN)
select count(*) from AUTO where CYLNDERS not between 10 and 12;

;predicate ([NOT] IN)
select NAME from PERSON where PERSONID in (select PERSONID from AUTO);
select MAKE, count(*) from AUTO where COLOR in 
  ('BLACK','BLUE','GREEN') group by MAKE;
select MODEL from AUTO where COLOR in ('BLACK', 'WHITE') and CYLNDERS in (6,8,12);
select count(*) from AUTO where (MAKE) in ( 'FORD'); 

drop   table PREDICATE_TAB;
create table PREDICATE_TAB (I int autoinc, C char(10), DT date);
insert into  PREDICATE_TAB (C, DT) values( 'abcdef', '01.01.2003');
insert into  PREDICATE_TAB (C, DT) values( 'bcdefa', '02.01.2003');
insert into  PREDICATE_TAB (C, DT) values( 'bcdefab', null);
select * from PREDICATE_TAB;
select * from PREDICATE_TAB where (I,C,DT) in 
  (select I,C,DT from PREDICATE_TAB where C like'_cde%');
select * from PREDICATE_TAB where (I,C,DT) in (select I,C,DT from PREDICATE_TAB);

;predicate ([NOT] LIKE)
select distinct MAKE from AUTO where upper(MAKE) like ('%MOTOR%');
select distinct BODYTYPE from AUTO where upper(BODYTYPE) like ('_E%');
select distinct MAKE, BODYTYPE from AUTO where BODYTYPE like ('SE'||'DAN'||'%');

;predicate (IS [NOT] NULL)
select * from PERSON where AGE is not NULL;

;predicate (ALL | {SOME | ANY})
select NAME from PERSON where PERSONID = ANY(select PERSONID from AUTO);
select NAME from PERSON where SALARY  <= ALL(select SALARY   from PERSON);

;predicate (EXISTS)
select NAME from PERSON where EXISTS(select * from AUTO where PERSONID = PERSON.PERSONID);




