;  Correction records example
;
;


drop table UPD_TAB;
create table UPD_TAB (TYPE char(10), ID int);

insert into UPD_TAB (TYPE, ID) values('System', 1);
update UPD_TAB set TYPE = NULL, ID = ID + 3 where ID = 1;
select * from UPD_TAB;

;

drop table UPD_AUTO;
create table UPD_AUTO (MAKE char(20), PERSONID int, YEAR int) 
  as select MAKE, PERSONID, YEAR from AUTO;

drop table UPD_PERSON;
create table UPD_PERSON (NAME char(20), CITY char(15), PERSONID int) 
  as select NAME, CITY, PERSONID from PERSON;

update UPD_AUTO join UPD_PERSON set UPD_AUTO.MAKE = 'Ford' WHERE 
  UPD_AUTO.PERSONID = UPD_PERSON.PERSONID and UPD_AUTO.YEAR > 70; 
select * from UPD_AUTO;

;

drop table UPD_TAB;
create table UPD_TAB (I int autoinc, C char(40));

insert into UPD_TAB default values;
insert into UPD_TAB default values;
insert into UPD_TAB default values;
update UPD_TAB join AUTO
  set C = (select 'Model ' || MODEL || ' (' || to_char(YEAR+1900, '9999') || ')'
    from AUTO where UPD_TAB.I = AUTO.PERSONID);
select * from UPD_TAB;
				
update UPD_TAB join AUTO set C = (select to_char(sysdate, 'dd.mm.yyyy') )
  where UPD_TAB.I = AUTO.PERSONID;
select * from UPD_TAB;


drop table UPD_TAB;
create table UPD_TAB (I int, J int);

insert into UPD_TAB values( 1, 11);
insert into UPD_TAB values( 1, -2);
insert into UPD_TAB values( 2,  3);
insert into UPD_TAB values( 3,  4);
insert into UPD_TAB values( 1, -1);
insert into UPD_TAB values( 4,  6);
insert into UPD_TAB values( 5,  7);
select * from UPD_TAB;

select * from UPD_TAB where I = 1;
update UPD_TAB set J = 0 where current of cursor;

select * from UPD_TAB;


