# PATH to your shell

 set conn [linter_error [linter_connect system/manager]]
 set curs [linter_error [linter_opencursor $conn]]
 
 puts "\nCursor options"
 linter_error [linter_execdir $curs "select * from auto"]
 puts "query \"select * from auto\""
 puts "count row: [linter_error [linter_cursopt $curs cRowCount]]"
 set countColumn [linter_error [linter_cursopt $curs cColumnCount]]
 puts "count column: $countColumn"
 puts "type query: [linter_error [linter_cursopt $curs cStmtType]]"
 puts "current row:[linter_error [linter_cursopt $curs cCurrentRow]]"
 puts "ISN current row: [linter_error [linter_cursopt $curs cCurrentRowID]]"
 puts "min size buffer for answer: [linter_error [linter_cursopt $curs cAnswerSize]]"
 puts "Descriptors for each column:"
 for {set i 1} {$i<=$countColumn} {incr i} {
     puts "col $i: [linter_error [linter_cursopt $curs cAnswerDesc $i]]"
     }
     
 puts "\nOptions statements"
 set stmt [linter_error [linter_createstmt $conn "select * from auto"]]
 puts "create new statement $stmt:\"select * from auto\""
 set desc [linter_error [linter_stmtopt $stmt sAnswerDesc 1]]
 puts "answer descriptor for first column: $desc"
 puts "count column in answer: [linter_error [linter_stmtopt $stmt sColumnCount]]"
 
 set stmt1 [linter_error [linter_createstmt $conn "insert into tcl_test values (:PAR1,:PAR2)"]]
 puts "create new statement $stmt1:\"insert into tcl_test values (:PAR1,:PAR2)\""
 set countParam [linter_error [linter_stmtopt $stmt1 sParamCount]]
 puts "count parameters statement: $countParam"
 puts "parametr descriptors:"
 for {set i 1} {$i<=$countParam} {incr i} {
     puts "param $i: [linter_error [linter_stmtopt $stmt1 sParamDesc $i]]"
     }
 linter_freeall
 puts "Done!"
