# PATH to your shell

set conn [linter_error [linter_connect system/manager]]
 puts  "open connection  $conn"

 set curs [linter_error [linter_opencursor $conn mOptimistic]]
 puts "open cursor $curs "
 set curs1 [linter_error [linter_opencursor $conn mOptimistic]]
 puts "open cursor $curs1"
 linter_error [linter_execdir $curs1 "delete from tcl_test"]
 puts "delete from tcl_test"
 linter_error [linter_commcurs $curs1]
 puts "Commit!"

 set stmt [linter_error [linter_createstmt $conn "insert into tcl_test  values (?,?)"]]
 puts "create stmt $stmt "
 linter_error [linter_bindpar $curs $stmt 1 par1]
 linter_error [linter_bindpar $curs $stmt 2 par2]
 puts "succes: bind parameters"
 set list1 {jan feb mar apr may}
 set list2 {January February March April May} 

 for {set i 0} {$i < 5} {incr i} {
   set par1 [lindex $list1 $i]
   set par2 [lindex $list2 $i]
   linter_error [linter_execstmt $curs $stmt]
   puts "insert rows: $par1  $par2"
   }
   
 linter_error [linter_commcurs $curs]
 puts "Commit!"

 linter_error [linter_freestmt $stmt]
 puts "free stmt"
 
 set curs2 [linter_error [linter_opencursor $conn]]
 puts "open cursor $curs2"

 linter_error [linter_execdir $curs2 "select * from tcl_test"]
 puts "query \"select * from tcl_test\""

 puts "output result query:" 
for {set i 1} {[linter_fetch $curs2 toAbsNumber $i] >= 0} {incr i} {
    puts [linter_error [linter_getrow $curs2]]
    }


linter_freeall
puts "Test Done."

