/***************************************************************************
 *                           RELEX, Inc. DBMS Linter                        *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                 Copyright (c) 1990-2012 RELEX, Inc.                      *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR:
 ----------------------------------------------------------------------------
 PURPOSE: 
 ----------------------------------------------------------------------------
 14.10.91 
 22.12.92 -- AVO
 20.07.97 -- Ermakov (Copyright) 
 14.09.99 -- Ermakov (For OS9000)
 05.10.99 -- Ermakov (For QNX)
 18.12.00 -- VxWorks
 19.07.12 -- Galizin (OpenVMS)
*/

#ifdef __MSDOS__
#include <ctype.h>
#include "decimals.h"
#include "tick.h"           /* 19.05.92 */
#define _DATE_
#endif

#ifdef INTER_OS2
#include <ctype.h>
#include "tick.h"
#define _DATE_
#endif

#ifdef __INTER_DLL__
#ifndef INTER_MSWINDOWS
#define INTER_MSWINDOWS
#endif
#endif
#ifdef INTER_MSWINDOWS
#include <ctype.h>
#include "tick.h"
#define _DATE_
#endif

#if defined(UNIX) || defined(QNX) || defined(VXWORKS) || defined(VMS) /* 19.07.12 05.10.99 */ /* 18.12.00 */
#include <ctype.h>
#include "decimals.h"
#include "tick.h"           /* 19.05.92 */
#define _DATE_
#endif

/* 14.09.99 ... */
#ifdef OS9000
#include <sys/ctypes>
#include "decimals.h"
#include "tick.h"
#define _DATE_
#endif
/* ... 14.09.99 */

#ifndef _DATE_
ERROR: UNDEF SYSTEM
#endif


L_LONG DLLAPI DAYNUMBERDATE(L_SWORD DAY, L_SWORD MON, L_SWORD YEAR)
/*************************/
{ L_LONG N, Y;

  N = (L_LONG)(DAYYEAR(DAY,MON,YEAR));
  Y = (L_LONG)(YEAR - 1);
  if (N > 0)
    N +=  (Y / 400)        * DAY4CENT +
         ((Y % 400) / 100) * DAY1CENT +
         ((Y % 100) /   4) * DAY4YEAR +
          (Y %   4)        * DAY1YEAR;
  return N;

} /* end DAYNUMBERDATE */

