/***************************************************************************
 *                           RELEX, Inc. DBMS Linter                        *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                 Copyright (c) 1990-2012 RELEX, Inc.                      *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR:
 ----------------------------------------------------------------------------
 PURPOSE: convert double to L_DECIMAL
 ----------------------------------------------------------------------------
   14.10.91 -- first release
   20.07.97 -- Ermakov (Copyright)
   20.02.02 -- DV (Buffer increased)
   08.06.12 -- Glukhov (datatypes)
*/

#include <stdlib.h>                   
#include <string.h>
#include <stdio.h>
#include "decimals.h"

L_SWORD DLLAPI DblToDec(double d, L_DECIMAL D)
/****************************************/
{ L_CHAR STR[333]; L_SWORD c;                              /* 20.02.02 */
  c=sprintf(STR,"%.10f",d);                
  STR[c]='\0';
  STRTODEC(STR,D);
  return OKDECSTATUS(D);

} /* end DblToDec */
