/***************************************************************************
 *                           RELEX, Inc. DBMS Linter                        *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                 Copyright (c) 1990-2012 RELEX, Inc.                      *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR:
 ----------------------------------------------------------------------------
 PURPOSE: check L_DECIMAL value and set appropriate status
 ----------------------------------------------------------------------------
   14.10.91 -- first release
   19.01.95 -- DV
   20.07.97 -- Ermakov (Copyright)
   08.06.12 -- Glukhov (datatypes)
*/
#include <stdlib.h>                    
#include <string.h>
#include "decimals.h"



void  DLLAPI SETDECSTATUS(DECSTATUS    S,
                          L_DECIMAL    D)
/***************************************/
{

  if ((S != DECPOSITIV) && (S != DECNEGATIV))
    memset(D,0,DECLNG);                        
  D[0] = (L_CHAR)(S);

} /* end SETDECSTATUS */


