 /***************************************************************************
 *           RELEX, Inc. Linter Kernel source code                          *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                 Copyright (c) 1990-2014 RELEX Inc.                       *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR: Pavel Pasechnik (bee, Pasec)
 ----------------------------------------------------------------------------
 PURPOSE: UTF support
 ----------------------------------------------------------------------------
 REVISION HISTORY:
 creation date: 17.10.02

 09.10.14 -- Muratova (Added functions for convertion Ucs4->Ucs2 and Ucs2->Ucs4)
*/

#ifndef __LNLSUTF_H__
#define __LNLSUTF_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "lintypes.h"

L_LONG LINNLS_Utf8Ucs2(L_CHAR *, L_LONG,
                       L_LONG, L_UNICHAR *,  L_LONG *);
L_LONG LINNLS_Ucs2Utf8(L_UNICHAR *, L_LONG,
                       L_LONG, L_CHAR *,  L_LONG *);

L_LONG LINNLS_Ucs4Ucs2(L_CHAR *, L_LONG, L_UNICHAR *);   /* 09.10.14 ... */
L_LONG LINNLS_Ucs2Ucs4(L_UNICHAR *, L_LONG, L_CHAR *);   /* ... 09.10.14 */

#ifdef __cplusplus
}
#endif

#endif /*  __LNLSAPI_H__ */
