 /***************************************************************************
 *                 RELEX, Ltd. Linter DBMS source code                      *
 *        This is unpublished propietary source code of RELEX, Ltd.         *
 *     The copyright notice does not evidence any actual or intended        *
 *                  publication of such source code.                        *
 *                                                                          *
 *                 Copyright (c) 1990-1999 RELEX Ltd.                       *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Ltd.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR:  Andrew V Razuwaev
 ----------------------------------------------------------------------------
 PURPOSE: messages on English
 ----------------------------------------------------------------------------
 REVISION HISTORY:
*/
#ifndef __MSGENG_H__
#define __MSGENG_H__


#define Msg_NOERR        "No error" 
#define Msg_NOTFOUND     "Not found"
#define Msg_NOCTH        "Invalid context number"
#define Msg_NODBH        "Invalid connetion number"
#define Msg_NOSH         "Invalid statement number"
#define Msg_NOTCURSOR    "This channel is not cursor"
#define Msg_NOTPREPARED  "Statement is not prepared"
#define Msg_INVIDX       "Invalid bind parameter's number"
#define Msg_NOREF        "Parameter not defined"
#define Msg_INVTYP       "Invalid parameter's type"
#define Msg_INVVAL       "Invalid parameter's value"
#define Msg_EXEPROC      "Can not execute procedure by execute()"
#define Msg_NOTMAINCH    "This channel is cursor"
#define Msg_CORRUPT      "Internal structures corrupted"
#define Msg_NOMEM        "No memory for allocate"

#define Msg_LINERR       "Linter error number: xxxxxxxx"
#define Msg_LINERRPATT   "Linter error number: " /* pattern for message length get*/

#define Msg_SPNOTSUPP    "Linter v4.xx not supports SP call"
#define Mag_NOCOMPAT     "Noncompatible versions"
#define Msg_NONSELECT    "Non-select statement was executed"

#endif /*__MSGENG_H__*/

/**************************** source end **************************************/

