 /***************************************************************************
 *           RELEX, Ltd. Client source include file                         *
 *  This is unpublished propietary source code of RELEX, Ltd.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                   Copyright (c) 1999 RELEX Ltd.                          *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Ltd.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 FILE:    tools.c
 ----------------------------------------------------------------------------
 AUTHOR:  Alexander V. Kefeli
 ----------------------------------------------------------------------------
 PURPOSE: Interface from Perl to Linter SQL Server
 ----------------------------------------------------------------------------
 REVISION HISTORY:

 **.**.** -- Kent (file creation)

 --------------------------------------------------------------------------*/

#define __TOOLS_C__

#include <string.h>

char * addchr(char *str, char chr, int n)
{
  int l = strlen(str);

  memset(str + l, chr, n);
  str[l + n] = 0;
  return (str);
}

char *delchr(char *str, char chr)
{
  int  i, l;

  l = strlen(str);
  for(i = 0; i < l; i++)
    if (str[i] == chr)
      {
      strcpy(&str[i], &str[i + 1]);
      l--;
      }
  return (str);
}

char *strrtrim(char *str, char *chs)
{
  int i;

  i = strlen(str) - 1;
  while (strrchr(chs, str[i]) && i >= 0)
    str[i--] = 0;
  return (str);
}

char *strltrim(char *str, char *chs)
{
  while (strrchr(chs, str[0]) && *str)
    strcpy(str, str + 1);
  return (str);
}

char *stratrim(char *str, char *chs)
{
  strltrim(str, chs);
  strrtrim(str, chs);
  return (str);
}

#if defined(UNIX)
int stricmp(const char *s1, const char *s2)
{
  while(tolower(*s1) == tolower(*s2))
    {
    if (*s1 == 0)
      return (0);
    s1++, s2++;
    }
  return ((int)tolower(*s1) - (int)tolower(*s2));
}

int strnicmp(const char *s1, const char *s2, size_t n)
{
  if (n == 0)
    return (0);
  do{
  if (tolower(*s1) != tolower(*s2))
    return ((int)tolower(*s1) - (int)tolower(*s2));
  if (*(s1++) == 0)
    break;
  s2++;
  } while (--n != 0);
  return (0);
}
#endif /* UNIX */

