/***************************************************************************
 *           RELEX, Inc. Client source include file                         *
 *  This is unpublished proprietary source code of RELEX, Inc.              *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                    Copyright (c) 2008 RELEX Inc.                         *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 FILE:    php_pdo_linter.h
 ----------------------------------------------------------------------------
 AUTHOR: Dmitrii Glukhov
 ----------------------------------------------------------------------------
 PURPOSE: PDO interface from PHP language to Linter SQL Server
 ----------------------------------------------------------------------------
 REVISION HISTORY:
 04.08.08 -- Creation
 28.11.08 -- Glukhov (remove global variables)
 12.02.09 -- Glukhov (PDO_ATTR_FETCH_BLOB_AS_DATA removed)
 30.03.09 -- Glukhov (GENERATE_COL_NAME and RENAME_DUBBED_COL settings added)
 29.08.13 -- Galizin (Building as internal php extension)
*/

#ifdef PDO

#ifndef __PHP_PDO_LINTER_H__
#define __PHP_PDO_LINTER_H__

#include <TSRM/TSRM.h>
#include "php_linter_int.h"                                /* 29.08.13 */
/* driver specific options */
#define PDO_ATTR_DT_FORMAT           1001                                   /* 12.02.09 */
#define PDO_ATTR_GENERATE_COL_NAME   1002                                   /* 30.03.09 */
#define PDO_ATTR_RENAME_DUBBED_COL   1003                                   /* 30.03.09 */

#endif /* __PDO_LINTER_H__ */

#endif
