 /***************************************************************************
 *           RELEX, Inc. PHP core client source file                        *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                   Copyright (c) 1996-2006 RELEX Inc.                     *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 FILE:    tools.h
 ----------------------------------------------------------------------------
 AUTHOR:  Alexander V. Kefeli
 ----------------------------------------------------------------------------
 PURPOSE: Interface from PHP language to Linter SQL Server
 ----------------------------------------------------------------------------
 REVISION HISTORY:

 **.**.** -- Kent (file creation)
 07.06.00 -- Kononyhin
 20.03.01 -- Galizin ( tested define strdup )
 08.04.02 -- Galizin ( Add PhpCheckDemoLicense for private code )
 01.02.06 -- Ermakov, Gluhov (new function LinPHP_ConnectInfo ) 
 --------------------------------------------------------------------------*/

#ifndef __TOOLS_H__
#define __TOOLS_H__

                                                            /* 08.04.02 ... */
#include "inter.h"
int PhpCheckDemoLicense(TCBL* CBL, OPEN_DESC* desc);
                                                            /* ... 08.04.02 */
char * strltrim(char *, char *);
char * strrtrim(char *, char *);

#if defined(UNIX)
int    strnicmp(const char *, const char *, size_t);
#endif /* UNIX */

#endif /* __TOOLS_H__ */
