 /***************************************************************************
 *                 RELEX, Inc. Linter Python driver source code             *
 *        This is unpublished proprietary source code of RELEX, Inc.        *
 *     The copyright notice does not evidence any actual or intended        *
 *                  publication of such source code.                        *
 *                                                                          *
 *                 Copyright (c) 2003-2013 RELEX Inc.                       *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR: Boris Fedorov (fbv@relex.ru)
 ----------------------------------------------------------------------------
 PURPOSE: 
 ----------------------------------------------------------------------------
 REVISION HISTORY:
 25.12.13 -- Muratova (Python 3 support)
*/

#ifndef BLOB_H
#define BLOB_H

typedef struct
{
  t_Cursor *cursor;
  int length;
  int type;
  char *ptr;
} t_Blob;

extern PyTypeObject g_BlobType;

#define LinPyBlob_Check(op) (Py_TYPE(op) == &g_BlobType)     /* 25.12.13 */

#endif /* BLOB_H */
