from django.db.backends import BaseDatabaseClient
from django.conf import settings
import os

class DatabaseClient(BaseDatabaseClient):
    def runshell(self):
        args = ['']
        if settings.DATABASE_PASSWORD:
            args = ["-u %s/%s" % (settings.DATABASE_USER, settings.DATABASE_PASSWORD)]
        else:
            args = ["-u %s/" % settings.DATABASE_USER]
        args += [" -n %s" % settings.DATABASE_NAME]
        os.execvp('inl', args)


