#!/usr/local/bin/perl

# Base DBD Driver Test

print "1..$tests\n";

require DBI;
print "ok 1\n";

import DBI;
print "ok 2\n";

$dbuser='SYSTEM';

$switch = DBI->internal;
(ref $switch eq 'DBI::dr') ? print "ok 3\n" : print "not ok 3\n";

$drh = DBI->install_driver('Linter');
(ref $drh eq 'DBI::dr') ? print "ok 4\n" : print "not ok 4\n";

print $drh->{Version},"\n" if $drh->{Version};

#@data_sources = DBI->data_sources('Linter');

%attr=('mode'=>'optimistic',
       'codepage'=>'CP_1251');

$database='';
$username='SYSTEM';
$auth='MANAGER';
$dbh = DBI->connect($database, $username, $auth, \%attr, 'Linter');
die "\n Connection error.".$drh->errstr."\n" unless defined $dbh;

$sh  = $dbh->prepare('SELECT NAME FROM PERSON WHERE SEX=? AND ROWID < 10;',\%prattr);
die  "\nprepare error: ".$dbh->err if (!defined $sh);

$p_num=1;
$bind_value1='F';
%bind_attr=('Type'=>'CHAR');

$rv = $sh->bind_param($p_num, $bind_value1, \%bind_attr);
die "\nbind_param error:".$dbh->err if (!$rv);

$rv = $sh->execute();
die "\nexecute error: ".$dbh->err if (!$rv);

$bind_value1='F';


$name = ' ';

$rv = $sh->bind_col(1,\$name);
die "\nbind_col error: ".$dbh->err if (!$rv);

while ( $dbh->err == 0 )
    {
    $sh->fetch();
    print "\n ", $name,"\n";
    }

$query = 'SELECT * FROM PERSON WHERE  CITY=? AND SEX=? AND AGE>=?;';
$sh  = $dbh->prepare($query,\%prattr);
die "\ncan not prepare statement:".$dbh->err unless defined $sh;


$city='PHILADELPHIA';
@param=($city, $bind_value1,33);

$rv = $sh->execute(@param);
die "\nexecute error: ".$dbh->err if (!$rv);


while ($dbh->err == 0)
   {
   print $sh->fetchrow_array();
   print "\n"
   }

exit 0;
# end.
