<?php

  require("library.php");
  require("err_h.php");

  printf("Demo 3: linter_get_col_prop example\n\n");

  $con = Linter_Open_Connect("SYSTEM", "MANAGER", "", TM_AUTOCOMMIT);
  Errors_Handler($con, 0);
  printf("Successfuly connected (id = %d)\n\n", $con);

  $err = Linter_Exec_Direct($con, "select * from auto;");
  Errors_Handler($con, $err);
  $cols = Linter_Get_Cursor_Opt($con, CO_COL_COUNT);

  printf("Table `AUTO':\n");
  printf("Name               | Type       | Length\n");
  printf("-------------------+------------+-------\n");
  
  for($i = 1; $i <= $cols; $i++)
    {
    $col = Linter_Get_Col_Prop($con, $i);
    if (is_object($col))
      printf("%-18s | %-10s | %d\n", $col->name, $col->type_name, $col->length);
    else
      Errors_Handler($con, $col);
    }

  $err = Linter_Close_Connect($con);
  Errors_Handler($con, $err);
  printf("\nSuccessfuly disconnected\n");

?>

