<?php
  require("library.php");
  require("err_h.php");

  printf("Demo 9: work with decimals\n\n");

  printf("If config variable linter.decimal_as_double is set to On, decimals are returned as double, otherwise as string\n\n");

  $a =  ini_get("linter.decimal_as_double");
  printf("linter.decimal_as_double = '%s'\n\n", $a );

  $con = Linter_Open_Connect("SYSTEM", "MANAGER", "", TM_AUTOCOMMIT);
  Errors_Handler($con, 0);
  printf("Successfuly connected (id = %d)\n\n", $con);

  $query = "drop table test_table;";
  printf("Query: `%s'\n", $query);
  $err = Linter_Exec_Direct($con, $query);
/*  Errors_Handler($con, $err); */
                                                                                                  
  $query = "create table test_table ( d decimal ) ;";
  printf("\nQuery: `%s'\n", $query);
  $err = Linter_Exec_Direct($con, $query);
  Errors_Handler($con, $err);
  printf("Successfuly executed\n");

  printf("\nInserting data...\n");
  $err = Linter_Exec_Direct($con, "insert into test_table( d ) values ( 10.012345 ) ;");
  Errors_Handler($csr, $err);
  $err = Linter_Exec_Direct($con, "insert into test_table( d ) values ( 12345678901234567890.0123456789 ) ;");
  Errors_Handler($csr, $err);
  $err = Linter_Exec_Direct($con, "insert into test_table( d ) values ( -.01289 ) ;");
  Errors_Handler($csr, $err);
  printf("Successfuly executed\n");

  $query = "select * from test_table;";
  printf("\nQuery: `%s'\n", $query);
  $err = Linter_Exec_Direct($con, $query);
  Errors_Handler($con, $err);
  printf("Successfuly executed\n");
  while ( is_array( $data = Linter_Fetch_Row($con) ) )
     foreach ($data as $key => $value)
        printf("data[%s] is %s, is_numeric() = %s, gettype() = %s\n", $key, $value, is_numeric($value) ? "TRUE": "FALSE", gettype($value) );

  $err = Linter_Close_Connect($con);
  Errors_Handler($con, $err);
  printf("\n");

  printf("Successfuly disconnected\n");

?>

