procedure sample(in withnulls,autocommit bool default false, false;
              in n int default 1) for debug
declare
  var a cursor(i int, a char(20), s smallint, d date, n numeric, r real);
  exception e1 for badcursor;
  exception e2 for 2202;
  exception e3 for nulldata;
  exception e4 for badparam;
  exception e5 for divzero;
  exception noresults for custom 100;
code

   call init_results();
   
   execute direct "drop table ttt;";
   execute direct "create table ttt(
                      i integer,
                      c char(20),
                      s smallint,
                      d date,
                      n numeric,
                      r real);";
   execute direct "insert into ttt values(1, 'aaa', 10, '1.1.1997', 1.23, 1.11);";
   execute direct "insert into ttt values(2, "+
                  (eif[withnulls] "NULL" else "'bbb'") + 
                  ", 20, '2.2.1997', 4.56, 2.22);";
   n := 100/n;
   execute direct "insert into ttt values(3, 'ccc', 30, '3.3.1997', 7.89, 3.33);";
   if autocommit then
      commit work;
   endif 

   open a for direct "select " + "*" + " from ttt;" ;
   call ins_result("Number of answers is " + itoa(rowcount(a)));
   while not outofcursor(a) loop
      call ins_result(" i = " + itoa(a.i) + " c = " + (EIF[a.a = NULL] "NULL" ELSE trim(a.a)) + " s = " + itoa(a.s) + "!");
      fetch a;
   endloop
   call ins_result("Coderr is now " + itoa(errcode(a)));

   fetch a last;
   fetch a relative -2;
   call ins_result(" i = " + itoa(a.i) + " c = " + trim(a.a) + " d = " + dtoa(a.d) + "!");
   fetch a absolute 2;
   call ins_result(" i = " + itoa(a.i) + " c = " + trim(a.a) + " n = " + ntoa(a.n,10,2) + "!");

   fetch a last;
   while not outofcursor(a) loop
      call ins_result(" i = " + itoa(a.i) + " c = " + trim(a.a) + " r = " + ftoa(a.r) + "!");
      fetch a previous;
   endloop
   close a;

exceptions
   when e1 then
      call ins_result("Cursors type mismatch!");
   when e3 then
      call ins_result("Invalid NULL operation!");
   when e4 then
      call ins_result("Invalid function parameter!");
   when e5 then
      rollback release;
      resignal;
   when others then
      resignal;
end;
