;   Explicit type conversion example
;
;

select
  cast rtrim($$$S34) as varchar(128), 
  cast rtrim($$$S13) as varchar(128), 
  cast rtrim($$$S23) as varchar(128), 
  cast (
    case GetByte($$$S24,1) 
      when 1 then 'CHARACTER'
      when 2 then
        case GetWord($$$S24,4)
          when 2 then 
            case
              when GetBits($$$S24,60,8,1) = 1 then 'SMALLINT AUTOINC'
              else 'SMALLINT'
            end 
          when 4 then
            case
              when GetBits($$$S24,60,8,1) = 1  then 'INTEGER AUTOINC' 
              else 'INTEGER'
            end
          else 'BIGINT'
        end
      when 3 then 
        case 
          when GetWord($$$S24,4) = 4 then 'REAL' 
          else 'DOUBLE' 
        end
      when 4 then 'DATE'
      when 5 then 'DECIMAL'
      when 6 then 'BYTE'
      when 7 then 'BLOB'
      when 8 then 'VARCHAR'
      when 9 then 'VARBYTE'
      when 10 then 'BOOLEAN'
      when 11 then 'NCHAR'
      when 12 then 'NCHAR VARYING'
      when 13 then 'EXTFILE'
    end
  ) as varchar (20),           
  cast (
    case GetByte($$$S24,1) 
      when 1 then GetWord($$$S24,4)
      when 2 then 
        case GetWord($$$S24,4) 
          when 2 then 5 
          when 4 then 10 
          else 20 
        end
      when 3 then 
        case 
          when GetWord($$$S24,4) = 4 then 7 
          else 15 
        end
      when 4 then 23
      when 5 then GetByte($$$S24,2)
      when 6 then GetWord($$$S24,4)
      when 7 then 2147483647
      when 8 then GetWord($$$S24,4)
      when 9 then GetWord($$$S24,4)
      when 10 then GetWord($$$S24,4)
      when 11 then GetWord($$$S24,4) / 2
      when 12 then GetWord($$$S24,4) / 2
      when 13 then GetWord($$$S24,4)
    end
  ) as integer,                  
  cast (
    case GetByte($$$S24,1)
      when 11 then GetWord($$$S24,4) / 2
      when 12 then GetWord($$$S24,4) / 2
      else GetWord($$$S24,4)
    end
  ) as integer,                                   
  cast (
    case GetByte($$$S24,1) 
      when 4 then 2
      else GetByte($$$S24,3) 
    end
  ) as SMALLINT,       
  cast (
    case GetByte($$$S24,1) 
      when 2 then 10 
      when 5 then 10
      when 3 then 10 
      else 0 
    end
  ) as SMALLINT,                      
  cast (
    case 
      when GetBits($$$S24,60,11,1)=1 then 0
      else 1 
    end
  ) as SMALLINT, 
  cast GetBits($$$S24,60,10,1) as SMALLINT 

from SYSTEM.$$$SYSRL, SYSTEM.$$$ATTRI, SYSTEM.$$$USR
where $$$S12 = $$$S31 and $$$S11 = $$$S21 and $$$S32 = 0 and $$$S22 > 0;




