;   Hierarchy quiries example
;
;

drop   table START_WITH_TAB;
create table START_WITH_TAB (ID int, "Name" char(15), "First name" char(10), 
  "Birthday" int, "Status" char(10), "Generation" int, "Relationship" int);

insert into START_WITH_TAB values(10,'Petrova', 'Maria'  , 1989, 'daughter', 3, 5); 
insert into START_WITH_TAB values(9, 'Petrov' , 'Sergey' , 1989, 'son',      3, 5) ; 
insert into START_WITH_TAB values(8, 'Ivanov' , 'Sergey' , 1989, 'son',      3, 3); 
insert into START_WITH_TAB values(7, 'Ivanov' , 'Michael', 1994, 'son',      3, 4); 
insert into START_WITH_TAB values(6, 'Ivanov' , 'Ivan'   , 1972, 'son',      2, 1); 
insert into START_WITH_TAB values(5, 'Petrova', 'Anna'   , 1970, 'daughter', 2, 1);
insert into START_WITH_TAB values(4, 'Ivanov' , 'Andrey' , 1974, 'son',      2, 1);
insert into START_WITH_TAB values(3, 'Ivanov' , 'Sergey' , 1968, 'son',      2, 1); 
insert into START_WITH_TAB values(2, 'Ivanova', 'Maria'  , 1950, 'grandma',  1, 0); 
insert into START_WITH_TAB values(1, 'Ivanov' , 'Ivan'   , 1948, 'grandpa',  1, 0);

select count(*)-1 from START_WITH_TAB start with ID=1
  connect by prior ID="Relationship" and "Relationship"<>0 ; 

select count(*) from START_WITH_TAB start with "Generation"=3
  connect by prior ID="Relationship" and prior ID="Generation" and "Relationship"<>0 ;

select count(*) from START_WITH_TAB start with "Generation"=3 and 
  datesplit(sysdate,'y')-"Birthday" between 10 and 15 connect by prior 
    ID="Relationship" and prior ID="Generation" and "Relationship"<>0;

select count(ID) from START_WITH_TAB start with ID=1
  connect by prior ID="Relationship" and "Status"='son' and "Relationship"<>0 ;

select count(ID)-1 from START_WITH_TAB start with ID=
  (select distinct ID from START_WITH_TAB where "Name"='Ivanov' and "First name"='Ivan' 
    and "Generation"=1) connect by prior ID="Relationship" and "Name" not like 'Petrov%' 
      and "Generation"=2 and "Relationship"<>0;
   
select cast  "Name" || ' '  || "First name"  as char(30)  from START_WITH_TAB 
  where ID in (select ID from START_WITH_TAB start with ID=
    (select distinct ID from START_WITH_TAB where "Name"='Ivanov' and 
      "First name"='Ivan' and "Generation"=1) connect by prior ID="Relationship" and 
        "Name" not like 'Petrov%' and "Generation"=2 and "Relationship"<>0
except select distinct ID from START_WITH_TAB where "Name"='Ivanov' and 
  "First name"='Ivan' and "Generation"=1);
   

