;   Quiry with parameters example
;
;

drop table PAR_AUTO;
create table PAR_AUTO (MAKE char(20), PERSONID int, YEAR int, MODEL char(20)) 
  as select MAKE, PERSONID, YEAR, MODEL from AUTO;

select * from AUTO where MAKE =:M and MODEL=:M;

select * from AUTO where MAKE =:M and BODYTYPE=:m(char(20));

select MAKE from AUTO where 1900 + YEAR = 1900 + :YEAR;

select MAKE from AUTO where YEAR > ?;

select MAKE from AUTO where YEAR between :beg_year and :end_year;

select MAKE from AUTO where YEAR in ( ?, ?, ?);

select MAKE from AUTO where MAKE like 'FO'+?(char(2));

select MAKE from AUTO where MAKE=:MAKE or MAKE like ?;

select MAKE, count(*) from AUTO group by MAKE having count(*)>:YEAR;

select distinct MAKE,YEAR into ?,? from AUTO where ?(char(4))= MAKE;

select distinct 'MODEL:'+:MAKE(char(10)),?(int)
  from AUTO where ?(char(4))= MAKE;

select substr( MODEL,1,?(int)) into ? from AUTO where ?(char(4))=MAKE;

update AUTO join PERSON set AUTO.MAKE=?(char(4)) where
  AUTO.PERSONID=PERSON.PERSONID
    and PERSON.SALARY between :sum1 and :sum2;

select cast 0+? as smallint from AUTO;

select cast ? (int) as smallint from AUTO;

select distinct MAKE, MODEL from AUTO
  where MAKE=case CYLNDERS when : num_cyl(int) then 
    upper(:if_make(char(10))) else
      upper(:else_make(char(10))) end;

insert into PAR_AUTO( PERSONID,MAKE,YEAR,MODEL) values (?,:MAKE,:YEAR,:MODEL);

insert into PAR_AUTO (PERSONID,MAKE,YEAR,MODEL) values
  (?,:MAKE,:YEAR,:MODEL+cast(:p(int) as char(20)));

delete from PAR_AUTO where year<= ?;

 
