;

drop table GRANT_TAB;
drop user USER_CONNECT; 
drop user USER_RESOURCE;
drop user USER_DBA;

create table GRANT_TAB(id int primary key);

insert into GRANT_TAB(id)  values(1);
insert into GRANT_TAB(id)  values(2);
insert into GRANT_TAB(id)  values(3);
insert into GRANT_TAB(id)  values(4);
insert into GRANT_TAB(id)  values(5);
insert into GRANT_TAB(id)  values(6);


grant connect  to USER_CONNECT  identified by 'PASS_1';
grant resource to USER_RESOURCE identified by 'PASS_2';
grant dba      to USER_DBA      identified by 'PASS_3';

grant SELECT, INSERT, DELETE, UPDATE, ALTER, INDEX on GRANT_TAB to USER_DBA;
grant SELECT, UPDATE                               on GRANT_TAB to USER_RESOURCE;
grant SELECT, INSERT, DELETE                       on GRANT_TAB to USER_CONNECT;
grant ALL                                          on GRANT_TAB to PUBLIC;

revoke SELECT, INSERT, DELETE, UPDATE, ALTER, INDEX on GRANT_TAB from USER_DBA;
revoke SELECT, UPDATE                               on GRANT_TAB from USER_RESOURCE;
revoke SELECT, INSERT, DELETE                       on GRANT_TAB from USER_CONNECT;
revoke ALL                                          on GRANT_TAB from PUBLIC;



