/***************************************************************************
 *                           RELEX, Inc. DBMS Linter                        *
 *  This is unpublished propietary source code of RELEX, Inc.               *
 *  The copyright notice does not evidence any actual or intended           *
 *  publication of such source code.                                        *
 *                                                                          *
 *                 Copyright (c) 1990-2012 RELEX, Inc.                      *
 *                                                                          *
 *                   This software was developed by                         *
 *                                                                          *
 *                            RELEX, Inc.                                   *
 *                         Voronezh, Russia                                 *
 *                                                                          *
 *                        All rights reserved.                              *
 ****************************************************************************
 AUTHOR:
 ----------------------------------------------------------------------------
 PURPOSE: Additional function
 ----------------------------------------------------------------------------
 14.10.91 
 22.12.92 -- AVO
 20.07.97 -- Ermakov (Copyright) 
 14.09.99 -- Ermakov (For OS9000)
 05.10.99 -- Ermakov (For QNX)
 18.12.00 -- VxWorks
 19.07.12 -- Galizin (OpenVMS)
*/

#ifdef __MSDOS__
#include <ctype.h>
#include "decimals.h"
#include "tick.h"           /* 19.05.92 */
#define _DATE_
#endif

#ifdef INTER_OS2
#include <ctype.h>
#include "tick.h"
#define _DATE_
#endif

#ifdef __INTER_DLL__
#ifndef INTER_MSWINDOWS
#define INTER_MSWINDOWS
#endif
#endif
#ifdef INTER_MSWINDOWS
#include <ctype.h>
#include "tick.h"
#define _DATE_
#endif

#if defined(UNIX) || defined(QNX) || defined(VXWORKS) || defined(VMS) /* 19.07.12 05.10.99 */ /* 18.12.00 */
#include <ctype.h>
#include "decimals.h"
#include "tick.h"           /* 19.05.92 */
#define _DATE_
#endif

/* 14.09.99 ... */
#ifdef OS9000
#include <sys/ctypes>
#include "decimals.h"
#include "tick.h"
#define _DATE_
#endif
/* ... 14.09.99 */

#ifndef _DATE_
ERROR: UNDEF SYSTEM
#endif
  static L_SWORD DAY_MON[2][1+MAXMON] =
   {
    {0,31,28,31,30,31,30,31,31,30,31,30,31}
   ,{0,31,29,31,30,31,30,31,31,30,31,30,31}
   };

L_SWORD  DLLAPI BIGYEAR(L_SWORD  YEAR)
/***********************************/
{
  return ((YEAR % 4 == 0) && (YEAR % 100 != 0)) || (YEAR % 400 == 0);

} /* end BIGYEAR */


L_SWORD  DLLAPI DAYMON(L_SWORD MON, L_SWORD YEAR)
/*************************************************/
{ L_SWORD N;         
  L_SWORD IsBigYear=0;

  N = 0;
  if ((YEAR > 0) && (YEAR <= MAXYEAR) && (MON > 0) && (MON <= MAXMON))
  {
    IsBigYear = BIGYEAR(YEAR);
    N = DAY_MON[IsBigYear][MON];
  }
  return N;

} /* end DAYMON */


L_SWORD DLLAPI DAYYEAR(L_SWORD DAY, L_SWORD MON, L_SWORD YEAR)
/**************************/
{ L_SWORD N, I, IS;

  N = 0;
  if ((DAY > 0) && (DAY <= DAYMON(MON,YEAR)))
    {
     IS=BIGYEAR(YEAR);
     for (I = 1; I < MON; I++) N += DAY_MON[IS][I];
     N += DAY;
   }
  return N;

} /* end DAYYEAR */

